View Issue Details

IDProjectCategoryView StatusLast Update
0000066OpenMPT[All Projects] Feature Requestpublic2017-01-21 13:30
ReporterafwAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000066: Ability to stretch samples to a given number of song ticks (rows)
Description

I have an idea, which may be useful for song writters: the ability to stretch samples to a given number of song ticks (rows), I mean not by time-stretching but with changing the default playback frequency (the speed of playback). It is annoying to calculate it manually everytime.
The way of doing it is like this:

NewPlaybackFrequencyOfSample
=
OriginalPlaybackFrequencyOfSample

  • (
    TimeLengthOfRequestedTicks
    /
    OriginalTimeLengthOfSample
    )
    ;

This functionality will be handy in the sample editor window.
Respect!

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

has duplicate 0000296 closed Imported request - Tempo lock feature for loops 
child of 0000865 new Revised MPTM format - idea pool 

Activities

Saga Musix

Saga Musix

2011-02-09 08:10

administrator   ~0000061

Did you have a look at the Pitch/Tempo lock option in the instrument properties? You can use that to automatically correct the playback frequency according to the current BPM.

afw

afw

2011-02-09 09:28

reporter   ~0000062

Last edited: 2011-02-09 09:31

View 3 revisions

"Pitch/Tempo lock" is usable to change the playback frequency of the sample locked to the song's BPM changes. But it's not exactly what i need.

Example:

I have a sample containing 4 beats (16 ticks) cutted out from a 96 BPM old music:
+...#...+...#...

I'm creating a music at 125 BPM with 4 ticks per beats:
+...+...+...+...+...+...+...+...

I want to play the sample in my song syncronized with the beats of the song:
+...#...+...#...
+...+...+...+...+...+...+...+...

I need to calculate the required (new) initial playback frequency of the sample to do this.

After this calculation and setting the initial playback frequency the "Pitch/Tempo lock" option is great to keep the frequency syncronized with the song's BPM changes.

Diamond

Diamond

2015-04-07 20:05

reporter   ~0002029

I second this one. LOL especially since I essentially requested the same thing here.
http://bugs.openmpt.org/view.php?id=296

afw

afw

2017-01-19 19:03

reporter   ~0002852

This issue can be marked as resolved (and then closed), because "Time Stretching" feature seems to be correctly implemented in the Sample Editor...

Diamond

Diamond

2017-01-21 04:34

reporter   ~0002853

But the whole point of this request is to allow locking of a loop's tempo to the song's BPM when the loop does not have a precise tempo and without using time stretching, just simple pitch shifting. I.E. Specify the length of the loop/sample in number of rows or beats, and it then stays synchronized with the host tempo.

Saga Musix

Saga Musix

2017-01-21 13:30

administrator   ~0002854

As Diamond says, the original request would still be nice to have, especially for compatibility with some other rare formats. So I will keep the issue open for now.

Issue History

Date Modified Username Field Change
2011-02-09 08:04 afw New Issue
2011-02-09 08:10 Saga Musix Note Added: 0000061
2011-02-09 09:28 afw Note Added: 0000062
2011-02-09 09:29 afw Note Edited: 0000062 View Revisions
2011-02-09 09:31 afw Note Edited: 0000062 View Revisions
2015-04-07 20:05 Diamond Note Added: 0002029
2015-04-07 20:07 Saga Musix Relationship added has duplicate 0000296
2016-08-18 13:24 Saga Musix Relationship added child of 0000865
2017-01-19 19:03 afw Note Added: 0002852
2017-01-21 04:34 Diamond Note Added: 0002853
2017-01-21 13:30 Saga Musix Note Added: 0002854